Subject: RE: [idn] stringprep comment 1

From: Yves Arrouye <[email-masked]>
Date: Fri, 1 Feb 2002 13:53:27 -0800

> >But they *are* allowed because the Server S uses Nameprep-08!
> 
> I'm misunderstanding your scenario then. You said in nameprep-08,
> character U+XXXX has a "deleting mapping". I understood that as
> "character U+XXXX is now assigned but is prohibited". If that's not
> what you meant, please help me.

I meant that Nameprep-08 maps the codepoint out (to reuse the language in
Nameprep). Let's say because this codepoint is a new variant selector,
another zero-width thingamagic, whatever. 

> >No this one is a specific critic of IDN breaking the existing DNS
> "matching
> >must be case insensitive rule." If it is not must (MUST) then maybe it's
> not
> >an issue.
> 
> There is no such rule: there is a strong attempt. The Turkish dotless
> I is an example of where the attempt will inherently fail in one case
> or the other.

OK. Forget the case argument then. (Man, I am glad I won't be at the end of
customer support for IDN. And that's not a reflection on the IDN work, just
the complexity of the issue and the user expectations.)

YA

---

From: Paul Hoffman / IMC <[email-masked]>
Date: Fri, 1 Feb 2002 14:16:00 -0800

>another zero-width thingamagic, whatever.

OK, then I did understand what you were saying, but I don't 
understand the problem. You originally said:

The interesting scenario is: Server S is on Nameprep-08 (where a deletion
mapping has been introduced for codepoint U+XXXXX), Client A is on
Nameprep-07 but his OS supports Unicode 4.0 and its IME generates U+XXXXX.
Client A will then pas U+XXXXX unchanged (since it was unassigned when
Nameprep-07's tables were generated) and Server S won't find a match, since
its stored strings do not have U+XXXXX.

Client A sends out a character that will never match something that 
could be stored in a name server under -07 (because it is unassigned) 
or under -08 or later (because it is mapped to nothing). Why would 
you expect the server to ever match it? What is the problem here that 
you see and that I don't?

--Paul Hoffman, Director
--Internet Mail Consortium